org.jbpm.runtime.manager.impl

## Class DefaultRuntimeEnvironment

- java.lang.Object
- - org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment
  - - org.jbpm.runtime.manager.impl.DefaultRuntimeEnvironment

- All Implemented Interfaces:
    SchedulerProvider, org.kie.api.runtime.manager.RuntimeEnvironment

      public class DefaultRuntimeEnvironment
      extends SimpleRuntimeEnvironment

  Default implementation of the RuntimeEnvironment that aims at providing all common settings with a minimum need for configuration. It automatically configures the following components:
  - uses `DefaultRegisterableItemsFactory` to provide work item handlers and event listeners instances
  - EntityManagerFactory - if non given uses persistence unit with "org.jbpm.persistence.jpa" name
  - SchedulerService - if non given tries to discover if Quartz based scheduler shall be used by checking if "org.quartz.properties" system property is given, if not uses ThreadPool based scheduler with thread pool size set to 3
  - uses simple MVEL based UserGroupCallback that requires mvel files for users and groups to be present on classpath

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment

      `classLoader, configuration, emf, environment, environmentEntries, kbase, kbuilder, mapper, registerableItemsFactory, schedulerService, sessionConfigProperties, usePersistence, userGroupCallback, userInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRuntimeEnvironment()`
    `DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf)`
    `DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf, boolean usePersistence)`
    `DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf, GlobalSchedulerService globalSchedulerService)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static GlobalSchedulerService` | `discoverSchedulerService()`
    `void` | `init()`

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRuntimeEnvironment

      `addAsset, addIfPresent, addToConfiguration, addToEnvironment, close, copyEnvironment, getClassLoader, getConfiguration, getEmf, getEnvironment, getEnvironmentTemplate, getKieBase, getMapper, getRegisterableItemsFactory, getSchedulerService, getSessionConfigProperties, getUserGroupCallback, getUserInfo, setClassLoader, setEmf, setKieBase, setMapper, setRegisterableItemsFactory, setSchedulerService, setSessionConfigProperties, setUsePersistence, setUserGroupCallback, setUserInfo, usePersistence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRuntimeEnvironment

          public DefaultRuntimeEnvironment()

    - #### DefaultRuntimeEnvironment

          public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf)

    - #### DefaultRuntimeEnvironment

          public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf,
                                           GlobalSchedulerService globalSchedulerService)

    - #### DefaultRuntimeEnvironment

          public DefaultRuntimeEnvironment(javax.persistence.EntityManagerFactory emf,
                                           boolean usePersistence)

  - ### Method Detail

    - #### init

          public void init()

      Overrides:
        `init` in class `SimpleRuntimeEnvironment`

    - #### discoverSchedulerService

          protected static GlobalSchedulerService discoverSchedulerService()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.